# -*- rpm-spec -*-
# $Id: BitchX,v 1.10 2003/01/09 10:40:38 lioka Exp $

%define realver 1.0c17
%define url	ftp://ftp.bitchx.org/pub/BitchX/source/


Name:		BitchX
Summary:	Textmode IRC client
Version:	1.0
Release: alt5

Source:		%{url}/ircii-pana-%{realver}.tar.bz2
Source1:	ircii-translation.tar.bz2
Source2:	bx-config.h.1.0c17.bz2

Patch:		ircii-pana-75p3.fakeid.patch.bz2
Patch1:		BitchX-alphasuck.patch.bz2
Patch2:		BitchX-emacs.patch.bz2
Patch3:		BitchX-mdkconf.patch.bz2
Patch4:		BitchX-security.patch.bz2
Patch5:		BitchX-dumble.patch.bz2
Patch6:		BitchX-doc.patch.bz2

Group:		Networking/IRC
URL:		http://www.bitchx.org/
Copyright:	GPL
Obsoletes:	ircii
BuildRequires:	autoconf_2.13 gpm-devel ncurses-devel libMySQL-devel

%description
This is the bleeding edge of IRC software -- the most common
functions normally done by scripts are coded into the client itself.
It contains dozens of features such as:

    * Built-in ANSI color (this is probably the biggest feature)
    * Ease of use -- dozens of useful command aliases to reduce typing
    * Built-in notify, protection, and bot lists
    * Built-in mass commands and tools
    * Extended set of DCC commands and built-in CDCC offering
    * Extended scripting functionality, including unique functions
    * Code is based on ircII-Plutonium and more recent ircII-EPiC

%prep

%setup -q -n %name
find . -type f -name '*~'| xargs rm -rf
find . -type d -name 'CVS'|xargs rm -rf

%patch -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1 
%patch5 -p1
%patch6 -p1 -b .old
%__subst 's|^\(extern\)\(.\+bitchx_numver;$\)|\1 const\2|' source/modules.c

%ifarch alpha
%patch1 -p0
%endif

%build
%configure --without-tcl --with-plugins
bzcat %{SOURCE2} > include/config.h
%__subst 's|\(^HELPDIR = \).\+|\1%_docdir/%name|' Makefile
%set_autoconf_version 2.13
%make_build

%install
%makeinstall HELPDIR=%buildroot%_docdir/%name
%__install -p -m0755 source/wserv %buildroot%_bindir
%__install -p -m0644 BitchX.ircnames %buildroot%_libdir/bx
%__install -p -m0644 BitchX.quit %buildroot%_libdir/bx
%__install -p -m0644 BitchX.reasons %buildroot%_libdir/bx
%__install -p -m0755 bitchx-docs/findcomm %buildroot%_libdir/bx
%__rm -f %buildroot%_defaultdocdir/%name/findcomm
%__install -p -m0644 BitchX.help %buildroot%_docdir/%name/BitchX.help

%__tar xjf %SOURCE1 -C %buildroot%_libdir/bx

# fix up symlink
%__ln_s -f BitchX-%realver %buildroot%_bindir/BitchX

# make symlink for wserv
%__ln_s -f ../lib/bx/wserv %buildroot%_bindir/wserv

%files
%_bindir/%{name}*
%_bindir/scr-bx
%_bindir/wserv
%_libdir/bx
%_docdir/%name
%_man1dir/%name.1*

%changelog
* Thu Jan  9 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.0-alt5
- rebuilt in new env

* Sat Oct  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.0-alt4
- rebuilt with tcl 8.4

* Thu Jun 13 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.0-alt3
- rebuilt in new env

* Mon Jun 25 2001 Sergie Pugachev <fd_rag@altlinux.ru> 1.0-alt2
- fix spec

* Fri May 11 2001 Sergie Pugachev <fd_rag@altlinux.ru> 1.0-alt1
- new version 1.0

* Fri Jan 12 2001 AEN <aen@logic.ru>
- RE adaptattions 

* Mon Nov  6 2000 dam's <damien@mandrakesoft.com> 75p3-18mdk
- cosmetik changes.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 75p3-17mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 75p3-16mdk
- BM

* Sun Jul 09 2000 David BAUDENS <baudens@mandrakesoft.com> 75p3-15mdk
- BuildRequires: rpm >= 3.0.5

* Sun Jul  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 75p3-14mdk
- Active HUMBLE.

* Sun Jul  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 75p3-13mdk
- Don't build with tcl on ppc either - ld also segfaults. Doh.
- macros clean-up.

* Thu Jul  6 2000 dam's <damien@mandrakesoft.com> 75p3-12mdk
- Patch to avoid segfault when inviting with %s.

* Wed Mar 22 2000 dam's <damien@mandrakesoft.com> 75p3-11mdk
- Release

* Fri Jan 14 2000 Francis Galiegue <francis@mandrakesoft.com>
- Don't build with tcl on sparc either - ld also segfaults. Doh.

* Fri Jan 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 75p3-9mdk
- Patch to work on alpha (sucky !!!).
- Add Mandrak3 in /version.
- Bind some emacs keys.
- Don't compile with tcl on alpha (ld segfault !!!!).
- WANT_NOTIFY_BITCHX_COM off
- WANT_HEBREW ON.
- DEFAULT_OPERMODE "swfc"
- update descriptions.

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Empty pocket lint (rpmlint that is)
	- strip
	- new group "Applications/Internet"

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build

* Thu Aug 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Added character translations from ircii (test this lots please!)

* Tue Aug 03 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Add some defines so /help works

* Sun Aug  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mailed original to RedHat =P.
- Insert Manpages.
- Insert Bitchx.* in %{prefix}/lib/bx/
- Inert description in spec.
- Insert doc.

* Fri Jul  9 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- patch config.h for pidentd+fm
- Mailed original to Microsoft =P
- enabled Hades look cause blue is boreing

* Fri Jul  9 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- Add Obsoletes: ircii
- Fix up symlink /usr/bin/BitchX
- suggest the broken 1mdk package for inclusion in Microsoft Linux ;)

* Fri Jul  9 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- initial RPM



